<!--
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<div class="ddp-box-in">
  <a href="javascript:" class="ddp-btn-popup-close" (click)="closeInfo()"></a>
  <div class="ddp-data-filename"
       [class.ddp-selected]="isDatasetNameEdit"
       (clickOutside)="isDatasetNameEdit ? setDatasetName(): null;">
    <em class="{{getIconClass(selectedDataSet.dsType?.toString()==='WRANGLED' ? 'dataset' : 'hive')}}"></em>
    <div class="ddp-ui-input">
      <textarea #dsName maxlength="50"
                placeholder="{{'msg.comm.ui.create.name' | translate}}"
                (keyup.enter)="isDatasetNameEdit ? updateDataset() : null;"
                [(ngModel)]="datasetName">
      </textarea>
      <span class="ddp-btn-check" (click)="$event.stopPropagation(); updateDataset();"></span>
    </div>
    <span class="ddp-txt-filename">{{selectedDataSet.dsName}}
      <a href="javascript:" class="ddp-link-edit"
         (click)="!isDatasetNameEdit ? onDatasetNameEdit($event):$event.stopPropagation();">
        <em class="ddp-icon-edit2"></em>
      </a>
    </span>
  </div>
  <div class="ddp-data-explain" [class.ddp-selected]="isDatasetDescEdit">
    <div class="ddp-ui-input">
      <textarea #dsDesc placeholder="{{'msg.comm.ui.create.desc' | translate}}"
                (keyup.enter)="isDatasetDescEdit ? updateDataset() : null;"
                (clickOutside)="isDatasetDescEdit ? setDatasetDescription(): null;"
                [(ngModel)]="datasetDesc"
                maxlength="150">
      </textarea>
      <span class="ddp-btn-check" (click)="$event.stopPropagation(); updateDataset();"></span>
    </div>
    <span class="ddp-txt-explain">{{selectedDataSet.dsDesc || 'msg.groups.ui.create.ph.desc' | translate }}
      <a href="javascript:" class="ddp-link-edit"
         (click)="!isDatasetDescEdit ? onDatasetDescEdit($event):$event.stopPropagation();">
        <em class="ddp-icon-edit2"></em>
      </a>
    </span>
  </div>

  <div class="ddp-ui-databuttons" [class.ddp-type]="selectedDataSet.dsType && selectedDataSet.dsType.toString() === 'WRANGLED'">
    <a *ngIf="selectedDataSet.dsType && selectedDataSet.dsType.toString() === 'WRANGLED'" href="javascript:"
       class="ddp-btn-buttons4 ddp-bg-black ddp-full" (click)="onEditRulesBtnClicked()">
      <em class="ddp-icon-edit"></em>{{'msg.dp.btn.edit.rules' | translate}}
    </a>

    <a href="javascript:"
       *ngIf="selectedDataSet.dsType && selectedDataSet.dsType.toString()=== 'IMPORTED'"
       class="ddp-btn-buttons4 ddp-full"
       (click)="datasetEventHandler.emit()">{{'msg.dp.btn.new.ds' | translate}}
    </a>
    <!-- 클릭시 ddp-selected 추가 -->
    <div class="ddp-more"
         [ngClass]="{'ddp-selected':isBtnOptionOpen}"
         *ngIf="selectedDataSet.dsType && selectedDataSet.dsType.toString() === 'WRANGLED'"
         (clickOutside)="isBtnOptionOpen = false">
      <a href="javascript:" class="ddp-btn-more" (click)="openBtnOptions()"></a>
      <!-- popup -->
      <div class="ddp-wrap-popup2 ddp-types">
        <ul class="ddp-list-popup">
          <li>
            <a href="javascript:" (click)="cloneDataset()">
              <em class="ddp-icon-clone"></em>
              {{'msg.dp.btn.make.copy' | translate }}
            </a>
          </li>
          <li>
            <a href="javascript:" (click)="createSnapshot()">
              <em class="ddp-icon-snapshot"></em>
              {{'msg.dp.ui.create.ss' | translate }}
            </a>
          </li>
        </ul>
      </div>
      <!-- //popup -->
    </div>
    <!-- //more -->
  </div>

  <!-- part -->
  <div class="ddp-wrap-part ddp-bg">
    <!-- 데이터 미리보기 -->
    <div class="ddp-ui-preview">
      <div class="ddp-txt-title">
        {{'msg.dp.ui.data.preview' | translate}}
      </div>

      <div class="ddp-box-preview">
        <div class="ddp-ui-empty" *ngIf="clearGrid">
          {{'msg.dp.ui.no.preview' | translate}}
        </div>
        <div class="ddp-box-gridarea" grid-component style="width:100%; height: 100%;" [hidden]="clearGrid"></div>
      </div>
    </div>
    <!-- //데이터 미리보기 -->
    <!-- detail 타입 [DB,FILE,WRANGLED(curr),WRANGLED] -->
    <dl class="ddp-dl-detail">
      <dt>
        {{'msg.comm.th.type' | translate}}
      </dt>
      <dd>
        {{selectedDataSet.dsType && selectedDataSet.dsType.toString() === 'IMPORTED' ? selectedDataSet.importType : 'Wrangled dataset'}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail 파일 [FILE] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.importType && selectedDataSet.importType.toString()==='FILE'">
      <dt>
        {{'msg.dp.th.file' | translate}}
      </dt>
      <dd>
        {{selectedDataSet.filename}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail 사이즈 [DB,FILE] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.dsType && selectedDataSet.dsType.toString()==='IMPORTED'">
      <dt>
        {{'msg.comm.detail.size' | translate}}
      </dt>
      <dd>
        {{getTotalBytes}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail 시트 [FILE] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.importType && selectedDataSet.importType.toString()==='FILE'">
      <dt>
        {{'msg.dp.th.sheet' | translate}}
      </dt>
      <dd>
        {{getSheetName()}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail summary [DB,FILE,WRANGLED(curr)] -->
    <dl class="ddp-dl-detail">
      <dt>
        {{'msg.dp.th.summary' | translate}}
      </dt>
      <dd *ngIf="selectedDataSet">
        {{getRows}} {{'msg.comm.detail.rows' | translate}} <br>
        <!--<span *ngIf="temp.gridData && temp.dsType.toString() === 'WRANGLED'">{{temp.gridResponse.colCnt}} {{'msg.comm.detail.columns' | translate}}</span>-->
        <span *ngIf="selectedDataSet">{{getColCnt}} {{'msg.comm.detail.columns' | translate}}</span>
      </dd>
    </dl>
    <!-- //detail -->

    <!-- detail host [DB] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.importType && selectedDataSet.importType.toString()==='DB'">
      <dt>
        {{'msg.comm.th.host' | translate}}
      </dt>
      <dd>
        {{getHost}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail port [DB] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.importType && selectedDataSet.importType.toString()==='DB'">
      <dt>
        {{'msg.comm.th.port' | translate}}
      </dt>
      <dd>
        {{getPort}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail database [DB] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.importType && selectedDataSet.importType.toString()==='DB' && getDatabase !== null ">
      <dt>
        {{'msg.dp.th.database' | translate}}
      </dt>
      <dd>
        {{getDatabase}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail table/sql [DB] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.importType && selectedDataSet.importType.toString()==='DB'">
      <dt>
        {{'msg.lineage.ui.list.search.table' | translate}}/{{'msg.lineage.ui.list.search.sql' | translate}}
      </dt>
      <dd>
        {{getTableOrSql}}
      </dd>
    </dl>
    <!-- //detail -->


    <!-- detail 사용 [DB,FILE,WRANGLED(curr)] *ngIf="selectedDataSet.creatorDfId === dataflow.dfId"-->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.creatorDfId === dataflow.dfId || selectedDataSet.dsType?.toString() !== 'WRANGLED'">
      <dt>
        {{'msg.comm.th.used' | translate}}
      </dt>
      <dd *ngIf="selectedDataSet['_embedded'] && selectedDataSet['_embedded'].dataflows">
        <span class="ddp-data-num" (click)="showDataflows($event);">{{selectedDataSet['_embedded'].dataflows.length}}</span> {{'msg.dp.ui.flows' | translate}}
        <!-- popup -->

        <div class="ddp-wrap-popup2 ddp-types2" *ngIf="isDataflowsShow" (clickOutside)="isDataflowsShow = false;">
          <ul class="ddp-list-popup">
            <li *ngFor="let dataflow of selectedDataSet['_embedded'].dataflows" (click)="changeDataflow.emit(dataflow.dfId);isDataflowsShow=false;">
              <a href="javascript:">
                <em class="ddp-icon-flow"></em>
                {{dataflow.dfName}}
              </a>
            </li>
          </ul>
        </div>
        <!-- //popup -->

      </dd>
    </dl>
    <!-- //detail -->

    <!-- detail rulelist [WRANGLED(curr)] -->
    <div class="ddp-ui-preview ddp-type-rule" *ngIf="selectedDataSet.dsType && selectedDataSet.dsType.toString() === 'WRANGLED' && selectedDataSet.creatorDfId === dataflow.dfId">
      <div class="ddp-txt-title">
        {{'msg.dp.ui.rule.list' | translate}}
      </div>

      <div class="ddp-box-preview">
        <ul class="ddp-list-rule2" *ngIf="ruleList && 0<ruleList.length">
          <li *ngFor="let rule of ruleList;">
            <em class="ddp-line-before"></em>
            <em class="ddp-line-after"></em>
            <span class="ddp-data-type">
              <em class="ddp-ui-round">{{rule.alias}}</em>
            </span>
            <div class="ddp-ui-code">{{rule.simplifiedRule !=='' ? rule.simplifiedRule : rule.ruleString}}</div>
          </li>
        </ul>
        <div class="ddp-ui-empty" *ngIf="ruleList && 0 === ruleList.length">
          {{'msg.dp.ui.no.rules' | translate}}
        </div>
      </div>
      <span class="ddp-data-rule">{{ ruleList ? ruleList.length : 0}} {{'msg.dp.ui.rules' | translate}}</span>
    </div>
    <!-- //detail -->

    <!-- detail sourceflow [WRANGLED] -->
    <dl class="ddp-dl-detail" *ngIf="selectedDataSet.creatorDfId != dataflow.dfId && selectedDataSet.dsType?.toString() === 'WRANGLED'">
      <dt>
        {{'msg.dp.th.source.flow' | translate}}
      </dt>
      <dd>
        <a href="javascript:" (click)="changeDataflow.emit(selectedDataSet.creatorDfId)">
          <em class="ddp-icon-flow"></em>
          {{selectedDataSet.creatorDfName}}
        </a>
      </dd>
    </dl>
    <!-- //detail  -->

  </div>

  <div class="ddp-wrap-date">
    <!-- detail -->
    <dl class="ddp-dl-detail ddp-dl-date">
      <dt>
        {{'msg.comm.th.created.on' | translate}}
      </dt>
      <dd>
        {{selectedDataSet.createdTime | mdate:'YYYY-MM-DD HH:mm'}} by {{selectedDataSet.createdBy}}
      </dd>
    </dl>
    <!-- //detail -->
    <!-- detail -->
    <dl class="ddp-dl-detail ddp-dl-date">
      <dt>
        {{'msg.comm.th.updated.on' | translate}}
      </dt>
      <dd>
        {{selectedDataSet.modifiedTime | mdate:'YYYY-MM-DD HH:mm'}} by {{selectedDataSet.modifiedBy}}
      </dd>
    </dl>
    <!-- //detail -->
  </div>

</div>

<!-- 링크 -->
<div class="ddp-ui-footbutton" (click)="deleteDataSet();">
  <a href="javascript:" class="ddp-type-link2"><em class="ddp-icon-delete2"></em>{{'msg.dp.ui.data.del' | translate}}</a>

</div>
<!-- //링크 -->
